Type to search.

Batch start or resume reindexing

Base URL
https://{kibana_url}
  • POST /api/upgrade_assistant/reindex/batch
Auth The Elastic Stack includes Elastic's core products such as Elasticsearch, Kibana, Logstash, and Beats. Availability Preview This functionality is in technical preview and is ready for evaluation. Use with caution in production; it is not recommended for mission-critical workloads. Elastic will work to fix any issues, but features in technical preview are not subject to the support SLA of official GA features. Specific Support terms apply. Unless stated otherwise on the page, this functionality is available when your Elastic Stack is deployed on Elastic Cloud Hosted, Elastic Cloud Enterprise, Elastic Cloud on Kubernetes, and self-managed environments. This documentation corresponds to the latest patch available for each minor version. If you're not using the latest patch, check the release notes for changes.

Start or resume multiple reindexing tasks in one request. Additionally, reindexing tasks started or resumed via the batch endpoint will be placed on a queue and run one-by-one, which ensures that minimal cluster resources are consumed over time.

Request body

indexNames string[] required

The list of index names to be reindexed. The order of the indices determines the order that the reindex tasks are run.

Response

Indicates a successful call.

application/json
errors object[]

A list of errors that may have occurred preventing the reindex task from being created.